plugindir = "plugins";

string oa_md5_result;

include "dllfuncs.h";

var_nsave res;

text successful
{
	layer = 1;
	string = "Successfully Connected to Database";
}

text failed
{
	layer = 1;
	string = "Could not connect to database.";
}

text query_success
{
	pos_y = 20;
	layer = 1;
	string = "Query Successful";
}

text query_failed
{
	pos_x = 350;
	pos_y = 400;
	layer = 1;
	string = "Query Failed";
}

text create_success
{
	layer = 1;
	string = "Dummy Database Created!";
}

panel background
{
	layer=1;
	bmap="black.jpg";
	scale_x = 1024;
	scale_y = 768;
	alpha = 50;
	flags = overlay, translucent, visible;
}

text sql_user
{
	layer = 1;
	string = "MySQL Username: ";
	pos_x = 10;
	pos_y = 15;
}

//View Strings
string username = "domingo890";
string password = "kennedy468";
string host = "db4free.org";
string database = "opassault_forum";


text sql_enter_user
{
	layer = 1;
	string = username;
	pos_x = 105;
	pos_y = 15;
}

text sql_pass
{
	layer = 1;
	string = "MySQL Password: ";
	pos_x = 10;
	pos_y = 25;
}

text sql_enter_pass
{
	layer = 1;
	string = password;
	pos_x = 105;
	pos_y = 25;
}

text sql_host
{
	layer = 1;
	string = "MySQL Host: ";
	pos_x = 10;
	pos_y = 40;
}

text sql_enter_host
{
	layer = 1;
	string = host;
	pos_x = 105;
	pos_y = 40;
}

text sql_db
{
	layer = 1;
	string = "MySQL Database: ";
	pos_x = 10;
	pos_y = 55;
}

text sql_enter_db
{
	layer = 1;
	string = database;
	pos_x = 105;
	pos_y = 55;
}

string client_info;
string host_info;
string server_info;
string stat;
string query[1000];
string errort;
var errornum;
string resultt;
string md5_str;
string md5_hash;
string md5_dest;

text sql_ver_txt
{
	layer = 1;
	string = "Connected to MySQL running version: ";
	pos_x = 10;
	pos_y = 100;
}

text sql_version
{
	layer = 1;
	string = client_info;
	pos_x = 230;
	pos_y = 100;
}

text host_txt
{
	layer = 1;
	string = "Host Information: ";
	pos_x = 10;
	pos_y = 115;
}

text host_txt2
{
	layer = 1;
	string = host_info;
	pos_x = 130;
	pos_y = 115;
}

text server_txt
{
	layer = 1;
	string = "Server Information: ";
	pos_x = 10;
	pos_y = 135;
}

text server_txt2
{
	layer = 1;
	string = server_info;
	pos_x = 160;
	pos_y = 135;
}

text stat_txt
{
	layer = 1;
	string = "MySQL Stats: ";
	pos_x = 10;
	pos_y = 150;
}

text stat_txt2
{
	layer = 1;
	string = stat;
	pos_x = 130;
	pos_y = 150;
}

text create_sql
{
	layer = 1;
	string = "Create a Query: ";
	pos_x = 10;
	pos_y = 170;
}

text create_q_sql
{
	layer = 1;
	string = query;
	pos_x = 100;
	pos_y = 170;
}

text successful_query
{
	layer = 1;
	string = "Query successfully executed.";
	pos_x = 10;
	pos_y = 190;
}

text errormsg
{
	layer = 1;
	string = errort;
	pos_x = 45;
	pos_y = 210;
}

panel errornump
{
	layer = 1;
	pos_x = 10;
	pos_y = 210;
	digits = 0, 0, 4, *, 1, errornum;
	flags = overlay;
}

text resultp
{
	layer = 1;
	string = resultt;
	pos_x = 100;
	pos_y = 210;
}

text colon
{
	layer = 1;
	string = ":";
	pos_x = 20;
	pos_y = 210;
}
string manip = "fly high!";
string manip_res;
var_nsave file;
var video_screen = 1;
var video_mode = 8;
string temp235;

text manip_txt
{
	layer = 1;
	string = manip_res;
	pos_x = 10;
	pos_y = 0;
}
var filed;
var length;

panel lengthg
{
	layer = 1;
	pos_x = 10;
	pos_y = 270;
	digits = 0, 0, 5, *, 1, length;
	flags = overlay;
}

text get_result
{
	pos_x = 10;
	pos_y = 210;
	string = "Get Result:";
}
string field_str = "-----------Enter Field-------------";
text field
{
	pos_x = 100;
	pos_y = 210;
	string = field_str;
}

text enter_str
{
	pos_x = 10;
	pos_y = 230;
	string = "Enter a String: ";
}
string entered[500];
text entered_str
{
	pos_x = 110;
	pos_y = 230;
	string = entered;
}
string str_result;
var len_str;
text len_txt
{
	pos_x = 10;
	pos_y = 250;
	string = "strlenc:";
}
panel len_pan
{
	pos_x = 50;
	pos_y = 250;
	digits = 0, 0, 10, *, 1, len_str;
}
text catc_txt
{
	pos_x = 10;
	pos_y = 270;
	string = "strcatc:";
}
text cat_txt
{
	pos_x = 70;
	pos_y = 270;
	string = str_result;
}

var_nsave result2;
function main()
{
	sql_user.visible = on;
	sql_enter_user.visible = on;
	inkey(username);
	
	sql_pass.visible = on;
	sql_enter_pass.visible = on;
	inkey(password);

	sql_host.visible = on;
	sql_enter_host.visible = on;
	inkey(host);
	
	sql_db.visible = on;
	sql_enter_db.visible = on;
	inkey(database);
	
	mysql__connect(host, username, password, database);
	if((mysql__connected()) == 1)
	{
		file = file_open_write("temp.txt");
		file_str_write(file, mysql__get__client__info());
		file_asc_write(file, 13);
		file_str_write(file, mysql__get__host__info());
		file_asc_write(file, 13);
		file_str_write(file, mysql__get__server__info());
		file_asc_write(file, 13);
		file_str_write(file, mysql__get__stat());
		file_close(file);
		file = file_open_read("temp.txt");
		file_str_read(file, client_info);
		file_str_read(file, host_info);
		file_str_read(file, server_info);
		file_str_read(file, stat);
		file_close(file);
		file_delete("temp.txt");
		sql_ver_txt.visible = on;
		sql_version.visible = on;
		host_txt.visible = on;
		host_txt2.visible = on;
		server_txt.visible = on;
		server_txt2.visible = on;
		stat_txt.visible = on;
		stat_txt2.visible = on;
		wait(5);
		create_sql.visible = on;
		create_q_sql.visible = on;
		inkey(query);
		mysql__query(query);
		if((mysql__success()) == 1)
		{
			get_result.visible = on;
			field.visible = on;
			inkey(field_str);
			mysql__result(resultt, field_str, 0);
			field.visible = off;
			resultp.visible = on;
			enter_str.visible = on;
			entered_str.visible = on;
			inkey(entered);
			len_str = strlenc(entered);
			len_txt.visible = on;
			len_pan.visible = on;
			
			strcpyc(entered, str_result);
			
			strcatc("strcatc_", str_result);
			catc_txt.visible = on;
			cat_txt.visible = on;
			
		}
		else
		{
			file = file_open_write("error.txt");
			file_var_write(file, mysql__errno());
			file_asc_write(file, 13);
			file_str_write(file, mysql__error());
			file_close(file);
			file = file_open_read("error.txt");
			errornum = file_var_read(file);
			file_str_read(file, errort);
			file_close(file);
			file_delete("error.txt");
			errornump.visible = on;
			colon.visible = on;
			errormsg.visible = on;
		}
	}
	else
	{
		failed.visible = on;
	}
}